Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 355191 - www-plugins/adobe-flash-10.2.152.27 nvidia texture bug
Summary: www-plugins/adobe-flash-10.2.152.27 nvidia texture bug
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: AMD64 Linux
: High normal with 6 votes (vote)
Assignee: Jeroen Roovers
URL: http://www.nvnews.net/vbulletin/showt...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-16 15:09 UTC by Dmitry
Modified: 2014-10-19 08:13 UTC (History)
16 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge --info (emerge-info.txt,5.95 KB, text/plain)
2011-02-16 15:10 UTC, Dmitry
Details
xorg.conf (xorg.conf,1.78 KB, text/plain)
2011-02-16 15:11 UTC, Dmitry
Details
glxgears with flash player at the background. (glxgears.jpg,594.91 KB, image/jpeg)
2011-02-22 17:52 UTC, Dmitry
Details
ebuild, manifest, mms.cfg file (adobe-flash-10.1.102.64-r1_ebuild_manifest_files.tar.bz2,4.45 KB, application/octet-stream)
2011-03-08 13:53 UTC, tbartdev
Details
ebuild to apply VDPAU_TRACE patch to libvdpau-0.4.1-r1 (libvdpau-0.4.1-r1.ebuild,1.38 KB, text/plain)
2012-10-07 14:59 UTC, Mike Nelson
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry 2011-02-16 15:09:02 UTC
When I open any video on youtube.com, I see firefox lags and graphic artifacts.
Kind of artifacts: After adobe-flash starting, I see it image under any full black pixel on my screen, as if they were transparent. I see adobe-flash plugin image under black pixels (most of text for example) even after npviewer.bin process have been killed. It can't be screenshoted.
Only way to avoid that artifacts is run nvidia-settings (looks like it change resolution to the same on startup, and something else...). After that it is not more artifacts, but whole system start (or just X) lagging when adobe-flash plugin is working.

Bug present with and without vdpau USE-flag.

I have nvidia GeForce GTX 465.
Packages:
app-emulation/emul-linux-x86-*-20110129
x11-drivers/nvidia-drivers-260.19.29
www-plugins/nspluginwrapper-1.3.0
www-plugins/adobe-flash-10.2.152.27
www-client/firefox-3.6.13

In attached URL is same, one by one issue.
Why www-plugins/adobe-flash-10.2.152.27 marked as stable?
Comment 1 Dmitry 2011-02-16 15:10:54 UTC
Created attachment 262739 [details]
emerge --info
Comment 2 Dmitry 2011-02-16 15:11:48 UTC
Created attachment 262741 [details]
xorg.conf
Comment 3 Jeroen Roovers gentoo-dev 2011-02-16 16:12:20 UTC
Does the problem go away when you use a different version of adobe-flash (there's 4 currently in the tree)?
Comment 4 Dmitry 2011-02-16 16:20:05 UTC
With www-plugins/adobe-flash-10.1.102.64 all work fine or me.

And with disabled "hardware acceleration" option in flash context menu all seems to work fine too.
Comment 5 Jim Ramsay (lack) (RETIRED) gentoo-dev 2011-02-22 15:51:05 UTC
This may have something to do with the new vdpau acceleration available in flash-10.2

Can you try adding the following line to your /etc/adobe/mms.cfg

  EnableLinuxHWVideoDecode=1

Restart X, See if that makes it better or worse.  Then try setting that value to 0, restart X and retest.

You may also want to try unsetting your USE=vdpau, 'emerge -N world',  uninstalling x11-libs/libvdpau, and retesting that way.
Comment 6 Dmitry 2011-02-22 17:52:27 UTC
Created attachment 263519 [details]
glxgears with flash player at the background.

With EnableLinuxHWVideoDecode enabled, flash player work at normal speed. With disabled (set to zero) option whole X server is lagging (even mouse cursor). I have AMD Phenom 9950 Quad-Core and GeForce GTX 465, and it is lagging. In both cases I can see flash player texture under full-black pixels on screen.

I can't see any differences, whether it is vdpau flag set or unset. I have removed libvdpau and reinstalled adobe-flash and ffmpeg packages (tested in both states).

When I open glxgears, I see flash player in a background too (photo related). I see that in any state of vdpau flag or EnableLinuxHWVideoDecode.

All the tests I have done with enabled "Hardware acceleration" option in flash player settings, because when it is disabled, all work fine, without lags and artifacts.
Comment 7 Arnaud Launay 2011-02-22 22:14:41 UTC
I have the very same problem, with a GeForce 8800 GT .
EnableLinuxHWVideoDecode=1
doesn't change anything for the artefact (but it does seem to help flash speed)
Comment 8 Albert Veli 2011-02-23 12:47:11 UTC
Same problem with flash here on my laptop with Quadro FX 1600M (not only youtube. quirks with many other flash sites too, like for instance http://sr.se/)

A temporary workaround is to mask out adobe-flash-10.2 in /etc/portage/package.mask:

>=www-plugins/adobe-flash-10.2
Comment 9 Marcus Bannerman 2011-03-02 08:16:58 UTC
Confirming this bug on my setup (GTX 260, no vdpau, flash 10.2), the flash player can be seen through black or white pixels.

Masking out 10.2 as Albert says fixed the problem for me.
Comment 10 Erik 2011-03-04 16:21:02 UTC
I have problems too...when i go to a webpage that have flash the player works but when i close firefox the flash animation don't dissapear instead it will be transparent on the desktop and if i do a ps -ea it isn't there so it is like it freezez on the desktop in a very strange way....I tried to mask it and install 10.1 but portage can't download 10.1 from the adobe site so i don't know what to do.

I don't have the vdpau flag and have tried the other tips from here but with no success.
Comment 11 tbartdev 2011-03-08 13:49:36 UTC
Use this instead of the rpm that cannot be found anywhere on the net anymore.
I repackaged it from an RHEL rpm but I am too lazy to produce an RPM that has the same checksums now..
Therefore, you'll also have to use the ebuild that follows.

http://www.easy-share.com/1914146973/flash-plugin-10.1.102.64-release.i386.tar.bz2
Comment 12 tbartdev 2011-03-08 13:53:37 UTC
Created attachment 265155 [details]
ebuild, manifest, mms.cfg file

Extract this to /usr/local/portage/www-plugins/adobe-flash,
download the .tar.bz2 provided and emerge adobe-flash.

Hackish, but it works for the time being.

BTW: Does Adobe/Nvidia know of this problem and is there a fix in the works?
Comment 13 Jim Ramsay (lack) (RETIRED) gentoo-dev 2011-03-15 14:54:24 UTC
The problem with any 10.1 version of flash, such as the one you've posted there, is that there are a number of fairly major security holes.  See Bug #354207 for the most recent ones.

If disabling hardware acceleration in the flash properties fixes the issue, I suspect that's your best fix.  Unfortunately I don't think this can be set globally by the ebuild in mms.cfg, so I'm not sure what can be done other than:

 -> Recommend individual users go in and disable hardware acceleration.

 -> Waiting for either Adobe or Nvidia to fix the issue.

I think nvidia *might* know, there's some chatter in some nvidia user forums at least:
  http://www.nvnews.net/vbulletin/showthread.php?t=159619

As for Adobe, I'm not sure.  Their upstream bug tracker is here:
  http://bugs.adobe.com/flashplayer/
Comment 14 Alessandro Zigliani 2011-03-18 14:22:08 UTC
(In reply to comment #0)
> When I open any video on youtube.com, I see firefox lags and graphic artifacts.
> Kind of artifacts

I experienced something like what you describe with my ATI Radeon HD using proprietary drivers (ati-drivers) and I discovered that I had compiled the kernel with CONFIG_PREEMPT=y. I changed it to 'n' and set CONFIG_PREEMPT_VOLUNTARY=y instead, and everything was OK.

I know yours is a NVIDIA card, but just in case I'm using gentoo-sources-2.6.36-r5:

Processor type and features->Preemption Model->Voluntary Kernel Preemption (Desktop)

Bye.
Comment 15 Arnaud Launay 2011-03-18 14:49:46 UTC
cusae@citron ~ $ uname -a
Linux citron 2.6.36-gentoo-r5 #1 SMP Tue Dec 21 13:23:41 CET 2010 x86_64 Intel(R) Core(TM)2 CPU 6600 @ 2.40GHz GenuineIntel GNU/Linux

cusae@citron ~ $ grep PREEM /etc/kernels/kernel-config-x86_64-2.6.36-gentoo-r5 
# CONFIG_PREEMPT_NONE is not set
CONFIG_PREEMPT_VOLUNTARY=y
# CONFIG_PREEMPT is not set

Unrelated, so. (nvidia here).
Comment 16 Dmitry 2011-03-25 11:45:26 UTC
www-plugins/adobe-flash-10.2.153.1 is affected too.
The same bug, same issues, same solution.
Comment 17 Robert Schultz 2011-04-01 20:10:44 UTC
I'm on 32bit ~x86 with vanilla-kernel 2.6.37.2 and packages:
adobe-flash 10.2.153.1_p201011173
nvidia-drivers 260.19.36

I have dual GeForce GTX 580 and I suffer from the problem in this bug.

Setting the EnableLinuxHWVideoDecode had no effect.

For those that get the bad texture, in order to "repair" the screen, I found it you switch to console (Control-Alt-F1) and then switch back to X (Control-Alt-F7) then the texture/video bug is repaired (at least until it happens again)
Comment 18 Jim Ramsay (lack) (RETIRED) gentoo-dev 2011-04-16 22:26:34 UTC
Current state of Flash in the tree at this time:

* 10.1 is masked.

I have p.masked 10.1 for removal soon, mostly due to bug #360529, but also security bug #354207, bug #359019, bug #363179, etc.  In short, Adobe has removed the 10.1 RPM from their site, and 10.1 has many serious security vulnerabilities, so I do not recommend using it.

* Current workaround with 10.2

The current recommended workaround for this issue is not to install version 10.1, but to install the latest 10.2 then disable hardware acceleration by doing the following in any flash applet:
  1) Right-click and choose "Settings..."
  2) Choose the left-most icon (a little blue screen icon) and de-select "Enable hardware acceleration"

Please report back here if this workaround does not work for you with 10.2
Comment 19 Tiago Marques 2011-04-22 17:55:17 UTC
=x11-drivers/nvidia-drivers-260.19.36
=x11-drivers/nvidia-drivers-260.19.29

These versions show the bug for me. This one doesn't: 

x11-drivers/nvidia-drivers-256.53

Please try it, if your hardware is supported, and report back.
Comment 20 Tiago Marques 2011-04-22 18:21:44 UTC
Tried it again with those drivers and now is ok with adobe-flash:

www-plugins/adobe-flash-10.2.153.1_p201011173
Comment 21 Albert Veli 2011-04-27 08:46:23 UTC
It works better with (at least) this combination:

 nvidia-drivers-270.41.03
 adobe-flash-10.2.159.1

A youtube video will still "shine through" an xterm window. But the artifact disappears after playing is finished. Before it was permanent even after firefox was closed.
Comment 22 brandsmeier 2011-05-29 21:13:39 UTC
following the comment of Albert Veli, I can report that this version of nvidia:

  x11-drivers/nvidia-drivers-270.41.19

at least together with 
  www-plugins/adobe-flash-10.3.181.14-r1

makes the problem a lot better to handle.
Comment 23 Giacomo Ferrari 2011-06-12 05:51:36 UTC
Doing a
rm -Rf ~/.adobe ~/.macromedia
seems to have mostly-fixed the issue for me. I no longer have to kill npviewer.bin after every YouTube video to regain control of Firefox, and I no longer have the texture woes. Firefox still occasionally locks up for a second or so, but it's still usable. Might be worth a shot. Indeed, those folders are easily 5 years old for me. Who knows what was lurking in there.
Comment 24 Arnaud Launay 2011-06-12 18:48:17 UTC
I confirm that rm -fr .adobe .macromedia made the problem seemingly disappear... I'll wait a fexw more days to confirm, but apparently, it does work.
Comment 25 solitarysock 2011-10-05 12:27:24 UTC
Still the same problem here with adobe-flash 10.3.183.10, nvidia-drivers 275.09.07, GTX 560.
It's not as bad as some here reported, though: Firefox doesn't freeze or anything, and the artifacts are gone when I close the tab with the flash video. 

None of the solutions proposed here have worked for me so far. 
Removing the .adobe and .macromedia directories doesn't change anything (they just get created again). I don't have the vdpau USE-Flag set. Changing EnableLinuxHWVideoDecode did nothing.

What's most important: I cannot unset Hardware Acceleration. I right-click on a flash video, click on Settings, it opens the settings window and then kinda freezes. I can't click on anything in the settings window, nor can I close the window, or use any other controls on the flash video anymore.  I didn't find any way to configure Adobe Flash other than via the settings menu, so now I'm stuck.
Comment 26 Siim Ainsaar 2012-03-29 10:32:56 UTC
I am seeing it again with www-plugins/adobe-flash-11.2.202.223 and 11.2.202.228 under either x11-drivers/nvidia-drivers-290.10-r2 or 295.33, see bug 367281 comment 16. I guess that bug should be made a duplicate of this one, and reopened.
Comment 27 Mike Nelson 2012-10-07 14:57:21 UTC
I had similar problems on amd64 with firefox-bin. Applying the patch from http://www.nvnews.net/vbulletin/showpost.php?p=2518770&postcount=104 and following the directions there fixed it for me.

Details of fix:
- created overlay for x11-libs/libvdpau by coping it from regular portdir
- epatching the source in the x11-libs/libvdpau/libvdpau-0.4.1-r1.ebuild (ebuild attached).
- copying the patch to x11-libs/libvdpau/files
- # ebuild libvdpau-0.4.1-r1.ebuild manifest
- # emerge -av1 libvdpau
- calling firefox with a file like /usr/local/bin/firefox (w/ chmod +x) like,

  #!/bin/bash
  export VDPAU_TRACE=1
  firefox-bin $*  

- restart firefox
Comment 28 Mike Nelson 2012-10-07 14:59:17 UTC
Created attachment 325916 [details]
ebuild to apply VDPAU_TRACE patch to libvdpau-0.4.1-r1
Comment 29 Jeroen Roovers gentoo-dev 2013-02-08 16:19:16 UTC
I've had success working around this bug by making a single change: setting USE=-bindist for media-libs/mesa. Maybe we should add !media-libs/mesa[bindist] to RDEPEND?

See also /usr/share/doc/mesa-9.0.1/patents.txt.bz2
Comment 30 Jeroen Roovers gentoo-dev 2013-02-12 22:32:06 UTC
(In reply to comment #29)
> I've had success working around this bug by making a single change: setting
> USE=-bindist for media-libs/mesa. Maybe we should add
> !media-libs/mesa[bindist] to RDEPEND?
> 
> See also /usr/share/doc/mesa-9.0.1/patents.txt.bz2

No, I was wrong. All I can see now is that VDPAU_NVIDIA_NO_OVERLAY=1 will work around the problem, sadly.
Comment 31 Dmitry 2013-02-13 11:07:38 UTC
Currently I have no artifacts with latest drivers and packages with "vdpau" enabled and with flash hardware acceleration enabled.

Packages versions:
www-client/firefox-18.0.1 with "alsa dbus gstreamer jit libnotify linguas_ru minimal startup-notification system-jpeg system-sqlite"
www-plugins/adobe-flash-11.2.202.262 with "32bit 64bit multilib sse2check vdpau"
media-libs/mesa-9.0.1 with "classic egl gallium llvm nptl shared-glapi video_cards_nouveau"
x11-libs/libvdpau-0.5 with "dri"
x11-drivers/nvidia-drivers-304.64 with "X acpi kernel_linux multilib tools"
x11-base/xorg-server-1.13.1 with "ipv6 kdrive nptl suid udev xorg"


Since I opened that bug, few times I fully reinstall whole system from stage3. My hardware configuration does not changed.
I tried to restore old kernel configuration to reproduce bug, but that does not work. I can't reproduce it anymore.
Can someone confirm, that given configuration solves the problem?
Comment 32 Albert Veli 2013-02-13 12:09:39 UTC
I haven't seen the problem in a while, running amd64 with nvidia-drivers. Right now nvidia-drivers 304.64 and amd-flash 11.2.202.262. I didn't change anything in the configuration, the problem just disappeared a while ago. Probably when one of those two packages got upgraded. (hardware accelleration is enabled when right clicking on a flash application and select settings, still no problem)
Comment 33 Dmitry 2014-10-19 08:13:21 UTC
Fixed pretty long time ago.